Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UITogglePanelItem.Properties

    java.lang.Object
      java.lang.Enum<UITogglePanelItem.Properties>
          org.richfaces.component.UITogglePanelItem.Properties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<UITogglePanelItem.Properties>

Enclosing class:
  UITogglePanelItem

    protected static enum UITogglePanelItem.Properties

extends java.lang.Enum<UITogglePanelItem.Properties>

Enum Constant Summary
`dir`
`lang`
`onclick`
`ondblclick`
`onenter`
`onleave`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`style`
`styleClass`
`title`

Method Summary
`static UITogglePanelItem.Properties` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static UITogglePanelItem.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### dir

    public static final UITogglePanelItem.Properties dir

### lang

    public static final UITogglePanelItem.Properties lang

### onclick

    public static final UITogglePanelItem.Properties onclick

### ondblclick

    public static final UITogglePanelItem.Properties ondblclick

### onenter

    public static final UITogglePanelItem.Properties onenter

### onleave

    public static final UITogglePanelItem.Properties onleave

### onmousedown

    public static final UITogglePanelItem.Properties onmousedown

### onmousemove

    public static final UITogglePanelItem.Properties onmousemove

### onmouseout

    public static final UITogglePanelItem.Properties onmouseout

### onmouseover

    public static final UITogglePanelItem.Properties onmouseover

### onmouseup

    public static final UITogglePanelItem.Properties onmouseup

### style

    public static final UITogglePanelItem.Properties style

### styleClass

    public static final UITogglePanelItem.Properties styleClass

### title

    public static final UITogglePanelItem.Properties title

Method Detail

### values

    public static UITogglePanelItem.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UITogglePanelItem.Properties c : UITogglePanelItem.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UITogglePanelItem.Properties valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.